cgi_destroy(3)

NAME
cgi_destroy - deallocate the data associated with a CGI

SYNOPSIS
#include <cgi/cgi.h> void cgi_destroy (CGI **cgi);

ARGUMENTS
cgi - a pointer to a pointer to a CGI struct

DESCRIPTION
cgi_destroy will destroy all the data associated with a CGI, which mostly means the associated HDF and removal of any files that were uploaded via multipart/form-data. (Note that even in the event of a crash, these files will be deleted, as they were unlinked on creation and only exist because of the open file pointer)

RETURN VALUE
cgi - NULL on output

SEE ALSO
cgi_debug_init(3), cgi_parse(3), cgi_destroy(3), cgi_js_escape(3), cgi_html_escape_strfunc(3), cgi_register_strfuncs(3), cgi_output(3), parse_rfc2388(3), cgi_url_validate(3), open_upload(3), cgi_cs_init(3), cgi_url_escape_more(3), cgi_html_strip_strfunc(3), cgi_neo_error(3), cgi_redirect(3), cgi_filehandle(3), cgi_register_parse_cb(3), cgi_url_escape(3), cgi_init(3), cgi_redirect_uri(3), cgi_cookie_clear(3), cgi_url_unescape(3), cgi_vredirect(3), cgi_display(3), cgi_html_ws_strip(3), cgi_error(3), cgi_cookie_set(3), cgi_text_html_strfunc(3), cgi_cookie_authority